How to installing PHP71 on RHEL 7 that requires HTTPD24 with HTTPD

ipohfly asked:

We have a RHEL 7 server that is offline and only connected to RedHat repo via a satelite.

When i try to manual install the PHP71 from the rpm files, it hits an error that say Requires HTTPD24_HTTPD

The server already have the HTTPD package from the main repo installed.

Anyway to tell yum to look at the HTTPD service instead of the HTTPD24? Or is there any other way to proceed with this?

My answer:


The package you are looking for is provided by Red Hat Software Collections, which needs to be enabled on your system.

On a system receiving packages directly from Red Hat, this repo is:

[[email protected] ~]# subscription-manager repos | grep -A3 rhel-server-rhscl-7-rpms
Repo ID:   rhel-server-rhscl-7-rpms
Repo Name: Red Hat Software Collections RPMs for Red Hat Enterprise Linux 7 Server
Repo URL:  https://cdn.redhat.com/content/dist/rhel/server/7/$releasever/$basearch/rhscl/1/os
Enabled:   1

Since you’re on Satellite, the Satellite system must provide a channel corresponding to this Red Hat repo. Contact the person responsible for Satellite in your organization for further information.


View the full question and any other answers on Server Fault.

Creative Commons License
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.